singleton Material(realblack)
{
    mapTo = "realblack";                     ////////////////redu la peiture bizarre     https://wiki.beamng.com/Vehicle_Materials
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

singleton Material(turbogauge)
{
    mapTo = "turbogauge";
    diffuseMap[0] = "vehicles/super/bolide roll/gauge_turbo.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};
singleton Material(handbrake)
{
    mapTo = "handbrake";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/super/bolide roll/handbrake.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(supercharger_blower)
{
    mapTo = "supercharger_blower";
    diffuseMap[1] = "vehicles/common/supercharger_blower_d.dds";
    specularMap[1] = "vehicles/common/supercharger_blower_s.dds";
    normalMap[1] = "vehicles/common/supercharger_blower_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/supercharger_blower_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(bigwing_02a)
{
    mapTo = "bigwing_02a";
    normalMap[0] = "bigwing_02a_n.dds";
    diffuseMap[0] = "bigwing_02a_d.dds";
    specularMap[0] = "bigwing_02a_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_engine_v8)
{
    mapTo = "barstow_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_engine_v8_d.dds";
    normalMap[1] = "vehicles/barstow/barstow_engine_v8_n.dds";
    normalMap[0] = "vehicles/barstow/barstow_engine_v8_n.dds";
    specularMap[1] = "vehicles/barstow/barstow_engine_v8_s.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(shine)
{
    mapTo = "shine";     
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
	    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    //dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(n2o_2)
{
    mapTo = "n2o_2";
    diffuseMap[0] = "vehicles/super/bolide roll/n2o_2_d.dds";
    specularMap[0] = "vehicles/super/bolide roll/n2o_s.dds";
    normalMap[0] = "vehicles/super/bolide roll/n2o_n.dds";
    reflectivityMap[0] = "vehicles/super/bolide roll/n2o_r.dds";
    specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng";
    materialTag1 = "vehicle";
};
singleton Material(bucket)
{
    mapTo = "bucket";
    diffuseMap[0] = "vehicles/super/bolide roll/bucket.dds";
    specularMap[0] = "vehicles/super/bolide roll/bucket.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
   //reflectivityMap[0] = "vehicles/super/bolide roll/n2o_r.dds";
    specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng";
    materialTag1 = "vehicle";
};
singleton Material(steer_02a)
{
    mapTo = "steer_02a";
    diffuseMap[0] = "vehicles/common/steer_02a_d.dds";
    specularMap[0] = "vehicles/common/steer_02a_s.dds";
    normalMap[0] = "vehicles/common/steer_02a_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(sbr)
{
    mapTo = "sbr";
    diffuseMap[2] = "vehicles/sbr/sbr_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(Turbo)
{
    mapTo = "Turbo";
    diffuseMap[0] = "vehicles/super/bolide roll/turbotex.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(belttex)
{
    mapTo = "belttex";
    diffuseMap[0] = "vehicles/super/bolide roll/belttex.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(black)
{
    mapTo = "black";
    diffuseMap[2] = "vehicles/super/bolide roll/supertrack_c.dds";
    specularMap[2] = "vehicles/super/bolide roll/supertrack_s.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/supertrack_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/supertrack_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(red)
{
    mapTo = "red";
	colorPaletteMap[2] = "vehicles/super/bolide roll/spring_uv1.dds";
    diffuseMap[2] = "vehicles/super/bolide roll/supertrack_spring_c.dds";
    specularMap[2] = "vehicles/super/bolide roll/supertrack_spring_s.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/supertrack_spring_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/supertrack_spring_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
	instanceDiffuse[2] = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(turbo_black)
{
    mapTo = "turbo_black";
	colorPaletteMap[2] = "vehicles/super/bolide roll/turbo_uv1.dds";
    diffuseMap[2] = "vehicles/super/bolide roll/supertrack_spring_c.dds";
    specularMap[2] = "vehicles/super/bolide roll/supertrack_spring_s.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/supertrack_spring_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/supertrack_spring_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
	instanceDiffuse[2] = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(carbonfiber)
{
    mapTo = "carbonfiber";
    diffuseMap[0] = "vehicles/super/bolide roll/wheelcover_d.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "190";
    pixelSpecular[0] = "70";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.3 0.3 0.3 1";
};


